use utoipa::{self};

#[derive(utoipa::ToSchema)]
pub struct AuthenticationMethod(String);

pub mod responses {

    #[derive(utoipa::ToResponse)]
    pub struct Unauthorized {
        pub www_authenticate: Option<String>,
    }
}

#[derive(utoipa::OpenApi)]
#[openapi(
    info(description = "FabAccess Auth API"),
    modifiers(&SecurityAddon),
    components(schemas(AuthenticationMethod), responses(responses::Unauthorized)),
    security(
        ("basicAuth" = []),
    ),
)]
pub struct ApiDoc;

include!("./security.rs");
